/********************************************************************************
 * MIT Java Wordnet Interface (JWI)
 * Copyright (c) 2007-2011 Massachusetts Institute of Technology
 *
 * This is the non-commercial version of JWI.  This version may *not* be used
 * for commercial purposes.
 * 
 * This program and the accompanying materials are made available by MIT under 
 * the terms of the MIT JWI Non-Commercial License license. Contact 
 * markaf@alum.mit.edu for further details, or to inquire about obtaining a 
 * commercial license.
 *******************************************************************************/

package edu.mit.jwi.item;

/**
 * An object that potentially has an associated part of speech.
 * 
 * @author Mark A. Finlayson
 * @version 2.2.1
 * @since JWI 2.0.0
 */
public interface IHasPOS {

	/**
	 * Returns the associated part of speech for this object. If this object is
	 * not associated with any particular part of speech, this method may return
	 * <code>null</code>.
	 * 
	 * @return The associated part of speech, or <code>null</code> if none.
	 * @since JWI 2.0.0
	 */
	public POS getPOS();
}
